phing-tasks-ext-simpletest

# Class: SimpleTestXmlResultFormatter Source Location: /tasks/ext/simpletest/SimpleTestXmlResultFormatter.php
### Class Overview
    SimpleReporter
       |
       --SimpleTestResultFormatter
          |
          --SimpleTestXmlResultFormatter
Prints plain text output of the test to a specified Writer. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: SimpleTestXmlResultFormatter.php 552 2009-08-29 12:18:13Z mrook $ | ### Methods __construct getExtension getPreferredOutfile paintCaseEnd paintCaseStart paintError paintException paintFail paintFormattedMessage paintGroupEnd paintGroupStart paintMessage paintMethodEnd paintMethodStart paintPass paintSignal paintSkip
### Inherited Variables #### Class: SimpleTestResultFormatter SimpleTestResultFormatter::$out SimpleTestResultFormatter::$project | ### Inherited Methods #### Class: SimpleTestResultFormatter SimpleTestResultFormatter::getElapsedTime() SimpleTestResultFormatter::getErrorCount() SimpleTestResultFormatter::getExtension() Returns the extension used for this formatter SimpleTestResultFormatter::getFailureCount() SimpleTestResultFormatter::getPreferredOutfile() SimpleTestResultFormatter::getRunCount() SimpleTestResultFormatter::getTestName() SimpleTestResultFormatter::paintCaseEnd() SimpleTestResultFormatter::paintCaseStart() SimpleTestResultFormatter::paintError() SimpleTestResultFormatter::paintFail() SimpleTestResultFormatter::paintMethodEnd() SimpleTestResultFormatter::paintMethodStart() SimpleTestResultFormatter::setOutput() Sets the writer the formatter is supposed to write its results to. SimpleTestResultFormatter::setProject() Sets the project
### Class Details [line 33] Prints plain text output of the test to a specified Writer. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: SimpleTestXmlResultFormatter.php 552 2009-08-29 12:18:13Z mrook $
since: | 2.2.0
[ Top ] ### Class Methods ### constructor __construct [line 42]
`SimpleTestXmlResultFormatter __construct( )`
[ Top ] ### method getExtension [line 47]
`void getExtension( )`
Overrides SimpleTestResultFormatter::getExtension() (Returns the extension used for this formatter) [ Top ] ### method getPreferredOutfile [line 52]
`void getPreferredOutfile( )`
Overrides SimpleTestResultFormatter::getPreferredOutfile() (parent method not documented) [ Top ] ### method paintCaseEnd [line 102]
`void paintCaseEnd( $test_name)`
Overrides SimpleTestResultFormatter::paintCaseEnd() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintCaseStart [line 95]
`void paintCaseStart( $test_name)`
Overrides SimpleTestResultFormatter::paintCaseStart() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintError [line 130]
`void paintError( $message)`
Overrides SimpleTestResultFormatter::paintError() (parent method not documented) #### Parameters:
| $message |
[ Top ] ### method paintException [line 144]
`void paintException( $exception)`
#### Parameters:
| $exception |
[ Top ] ### method paintFail [line 137]
`void paintFail( $message)`
Overrides SimpleTestResultFormatter::paintFail() (parent method not documented) #### Parameters:
| $message |
[ Top ] ### method paintFormattedMessage [line 165]
`void paintFormattedMessage( $message)`
#### Parameters:
| $message |
[ Top ] ### method paintGroupEnd [line 77]
`void paintGroupEnd( $test_name)`
#### Parameters:
| $test_name |
[ Top ] ### method paintGroupStart [line 68]
`void paintGroupStart( $test_name, $size)`
#### Parameters:
| $test_name |
| $size |
[ Top ] ### method paintMessage [line 158]
`void paintMessage( $message)`
#### Parameters:
| $message |
[ Top ] ### method paintMethodEnd [line 116]
`void paintMethodEnd( $test_name)`
Overrides SimpleTestResultFormatter::paintMethodEnd() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintMethodStart [line 109]
`void paintMethodStart( $test_name)`
Overrides SimpleTestResultFormatter::paintMethodStart() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintPass [line 123]
`void paintPass( $message)`
#### Parameters:
| $message |
[ Top ] ### method paintSignal [line 172]
`void paintSignal( $type, $payload)`
#### Parameters:
| $type |
| $payload |
[ Top ] ### method paintSkip [line 151]
`void paintSkip( $message)`
#### Parameters:
| $message |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:01 +0200 by phpDocumentor 1.4.3